<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: EffectParticle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d27/class_effect_particle.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">EffectParticle Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Wrapper class for managing particles through <a class="el" href="../../d2/d03/class_s_effect_manager.html" title="Manager class for managing Effect (EffectParticle, EffectSound)">SEffectManager</a>.  
 <a href="../../de/d27/class_effect_particle.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for EffectParticle:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d27/class_effect_particle.png" usemap="#EffectParticle_map" alt=""/>
  <map id="EffectParticle_map" name="EffectParticle_map">
<area href="../../d2/db7/class_bleeding_source_effect.html" alt="BleedingSourceEffect" shape="rect" coords="161,112,312,136"/>
<area href="../../d8/d11/class_blood_splatter.html" alt="BloodSplatter" shape="rect" coords="161,168,312,192"/>
<area href="../../d4/d0b/class_eff_breath_vapour_heavy.html" alt="EffBreathVapourHeavy" shape="rect" coords="161,224,312,248"/>
<area href="../../da/d39/class_eff_breath_vapour_light.html" alt="EffBreathVapourLight" shape="rect" coords="161,280,312,304"/>
<area href="../../d5/df1/class_eff_breath_vapour_medium.html" alt="EffBreathVapourMedium" shape="rect" coords="161,336,312,360"/>
<area href="../../d3/ddb/class_eff_bullet_impact_base.html" alt="EffBulletImpactBase" shape="rect" coords="161,392,312,416"/>
<area href="../../dc/dfd/class_eff_bullet_impact_test.html" alt="EffBulletImpactTest" shape="rect" coords="161,448,312,472"/>
<area href="../../d6/d52/class_eff_generator_smoke.html" alt="EffGeneratorSmoke" shape="rect" coords="161,504,312,528"/>
<area href="../../dc/d6f/class_eff_swarming_flies.html" alt="EffSwarmingFlies" shape="rect" coords="161,560,312,584"/>
<area href="../../d6/d81/class_eff_vehicle_smoke.html" alt="EffVehicleSmoke" shape="rect" coords="161,616,312,640"/>
<area href="../../d5/dbd/class_eff_vomit.html" alt="EffVomit" shape="rect" coords="161,672,312,696"/>
<area href="../../d8/d24/class_eff_vomit_blood.html" alt="EffVomitBlood" shape="rect" coords="161,728,312,752"/>
<area href="../../d8/d70/class_landmine_explosion.html" alt="LandmineExplosion" shape="rect" coords="161,784,312,808"/>
<area href="../../d3/d2b/class_menu_car_engine_smoke.html" alt="MenuCarEngineSmoke" shape="rect" coords="161,840,312,864"/>
<area href="../../dd/de6/class_menu_evaporation.html" alt="MenuEvaporation" shape="rect" coords="161,896,312,920"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">EffectType</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Information about what type of effect the Effect is, without the need for casting </p>
</div></td></tr>
<tr class="memitem:abede75d33b1898d820d803ceef8bf3e9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/d2d/_effect_8c.html#a4809a7bb3fd1a421902a667cc1405d43">EffectType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#abede75d33b1898d820d803ceef8bf3e9">GetEffectType</a> ()</td></tr>
<tr class="memdesc:abede75d33b1898d820d803ceef8bf3e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get what type of effect the Effect is.  <a href="../../de/d27/class_effect_particle.html#abede75d33b1898d820d803ceef8bf3e9">More...</a><br /></td></tr>
<tr class="separator:abede75d33b1898d820d803ceef8bf3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6c1ee658ebe7939e1b0bbe0a544352f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ab6c1ee658ebe7939e1b0bbe0a544352f">IsParticle</a> ()</td></tr>
<tr class="memdesc:ab6c1ee658ebe7939e1b0bbe0a544352f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check whether the Effect is <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a> without casting.  <a href="../../de/d27/class_effect_particle.html#ab6c1ee658ebe7939e1b0bbe0a544352f">More...</a><br /></td></tr>
<tr class="separator:ab6c1ee658ebe7939e1b0bbe0a544352f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Main particle</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Set or get the main particle which this Effect will manage </p>
</div></td></tr>
<tr class="memitem:a40400277d6a378d4397a867884a7932a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a40400277d6a378d4397a867884a7932a">SetParticle</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="memdesc:a40400277d6a378d4397a867884a7932a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the main particle which this Effect will manage.  <a href="../../de/d27/class_effect_particle.html#a40400277d6a378d4397a867884a7932a">More...</a><br /></td></tr>
<tr class="separator:a40400277d6a378d4397a867884a7932a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d219bb00f70fc4d2fdf208cb41c422"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a04d219bb00f70fc4d2fdf208cb41c422">GetParticle</a> ()</td></tr>
<tr class="memdesc:a04d219bb00f70fc4d2fdf208cb41c422"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the main particle which this Effect is managing.  <a href="../../de/d27/class_effect_particle.html#a04d219bb00f70fc4d2fdf208cb41c422">More...</a><br /></td></tr>
<tr class="separator:a04d219bb00f70fc4d2fdf208cb41c422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Playback</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Methods to Play/Stop Effect Generally, SEffectManager.Play methods are used instead of Start </p>
</div></td></tr>
<tr class="memitem:a1d04a1e86d29c71dc7cf7768aa217183"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a1d04a1e86d29c71dc7cf7768aa217183">Start</a> ()</td></tr>
<tr class="memdesc:a1d04a1e86d29c71dc7cf7768aa217183"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plays all elements this effect consists of.  <a href="../../de/d27/class_effect_particle.html#a1d04a1e86d29c71dc7cf7768aa217183">More...</a><br /></td></tr>
<tr class="separator:a1d04a1e86d29c71dc7cf7768aa217183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b8e139f87931f95fd84bb344fef87a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a03b8e139f87931f95fd84bb344fef87a">Stop</a> ()</td></tr>
<tr class="memdesc:a03b8e139f87931f95fd84bb344fef87a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops all elements this effect consists of.  <a href="../../de/d27/class_effect_particle.html#a03b8e139f87931f95fd84bb344fef87a">More...</a><br /></td></tr>
<tr class="separator:a03b8e139f87931f95fd84bb344fef87a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Attach</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Helper methods for attaching to prent </p>
</div></td></tr>
<tr class="memitem:abfb70b5928d1e17a211311b8535e9b91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#abfb70b5928d1e17a211311b8535e9b91">AttachTo</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> obj, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_pos=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_ori=&quot;0 0 0&quot;, <a class="el" href="../../d9/db9/classbool.html">bool</a> force_rotation_to_world=false)</td></tr>
<tr class="memdesc:abfb70b5928d1e17a211311b8535e9b91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read <a class="el" href="../../de/d85/class_particle.html#a6b16971271ed6c9f81257bc3a4658231" title="Attaches this particle onto some object. If null value is provided then the particle will be detached...">Particle.AddAsChild</a>.  <a href="../../de/d27/class_effect_particle.html#abfb70b5928d1e17a211311b8535e9b91">More...</a><br /></td></tr>
<tr class="separator:abfb70b5928d1e17a211311b8535e9b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f2362e95513ffde8bec50edccc37155"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a9f2362e95513ffde8bec50edccc37155">ReAttach</a> ()</td></tr>
<tr class="memdesc:a9f2362e95513ffde8bec50edccc37155"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper method to attach to parent using stored settings.  <a href="../../de/d27/class_effect_particle.html#a9f2362e95513ffde8bec50edccc37155">More...</a><br /></td></tr>
<tr class="separator:a9f2362e95513ffde8bec50edccc37155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab5a539b217aa9270f8df8130cd31c8a"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#aab5a539b217aa9270f8df8130cd31c8a">AddAsChild</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> obj, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> local_ori, <a class="el" href="../../d9/db9/classbool.html">bool</a> force_rotation_to_world)</td></tr>
<tr class="memdesc:aab5a539b217aa9270f8df8130cd31c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper method to attach to parent.  <a href="../../de/d27/class_effect_particle.html#aab5a539b217aa9270f8df8130cd31c8a">More...</a><br /></td></tr>
<tr class="separator:aab5a539b217aa9270f8df8130cd31c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Events</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Various events that can be overriden for custom behaviour </p>
</div></td></tr>
<tr class="memitem:ab12fbae0336d5716e429b652c7a9365e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ab12fbae0336d5716e429b652c7a9365e">Event_OnPlayStart</a> ()</td></tr>
<tr class="memdesc:ab12fbae0336d5716e429b652c7a9365e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event which just simply exists (DEPRECATED)  <a href="../../de/d27/class_effect_particle.html#ab12fbae0336d5716e429b652c7a9365e">More...</a><br /></td></tr>
<tr class="separator:ab12fbae0336d5716e429b652c7a9365e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42eaa56854459dec9120bc9a5d6300f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a42eaa56854459dec9120bc9a5d6300f4">Event_OnPlayStarted</a> ()</td></tr>
<tr class="memdesc:a42eaa56854459dec9120bc9a5d6300f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event which just simply exists (DEPRECATED)  <a href="../../de/d27/class_effect_particle.html#a42eaa56854459dec9120bc9a5d6300f4">More...</a><br /></td></tr>
<tr class="separator:a42eaa56854459dec9120bc9a5d6300f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Generic API</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Setters and getters for generic data and properties </p>
</div></td></tr>
<tr class="memitem:a3ffb48e5e6133e3736d4d3d8ca3c30c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a3ffb48e5e6133e3736d4d3d8ca3c30c4">SetParticleID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="memdesc:a3ffb48e5e6133e3736d4d3d8ca3c30c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the id of the particle to be used.  <a href="../../de/d27/class_effect_particle.html#a3ffb48e5e6133e3736d4d3d8ca3c30c4">More...</a><br /></td></tr>
<tr class="separator:a3ffb48e5e6133e3736d4d3d8ca3c30c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a6b993c073b83038577812cefae4a9f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a7a6b993c073b83038577812cefae4a9f">GetParticleID</a> ()</td></tr>
<tr class="memdesc:a7a6b993c073b83038577812cefae4a9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the id of the particle to be used.  <a href="../../de/d27/class_effect_particle.html#a7a6b993c073b83038577812cefae4a9f">More...</a><br /></td></tr>
<tr class="separator:a7a6b993c073b83038577812cefae4a9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af42f4ede379eb7dc4b4e7a3c97b8c54a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#af42f4ede379eb7dc4b4e7a3c97b8c54a">SetCurrentParticleID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="memdesc:af42f4ede379eb7dc4b4e7a3c97b8c54a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the id of the particle to be used.  <a href="../../de/d27/class_effect_particle.html#af42f4ede379eb7dc4b4e7a3c97b8c54a">More...</a><br /></td></tr>
<tr class="separator:af42f4ede379eb7dc4b4e7a3c97b8c54a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8b8ff8498beac1f3171afd687cf3a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a0d8b8ff8498beac1f3171afd687cf3a1">GetCurrentParticleID</a> ()</td></tr>
<tr class="memdesc:a0d8b8ff8498beac1f3171afd687cf3a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current id of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#a0d8b8ff8498beac1f3171afd687cf3a1">More...</a><br /></td></tr>
<tr class="separator:a0d8b8ff8498beac1f3171afd687cf3a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf0eb04e9c5a568dc89d60849a01ed2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#abbf0eb04e9c5a568dc89d60849a01ed2">SetCurrentParent</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> parent_obj, <a class="el" href="../../d9/db9/classbool.html">bool</a> updateCached=true)</td></tr>
<tr class="memdesc:abbf0eb04e9c5a568dc89d60849a01ed2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set current parent of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#abbf0eb04e9c5a568dc89d60849a01ed2">More...</a><br /></td></tr>
<tr class="separator:abbf0eb04e9c5a568dc89d60849a01ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b94c8076c58c504291ded70d27c0bb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#aa0b94c8076c58c504291ded70d27c0bb">GetCurrentParent</a> ()</td></tr>
<tr class="memdesc:aa0b94c8076c58c504291ded70d27c0bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current parent of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#aa0b94c8076c58c504291ded70d27c0bb">More...</a><br /></td></tr>
<tr class="separator:aa0b94c8076c58c504291ded70d27c0bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa661ca91c13a42574c2f25fe83b53ff1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#aa661ca91c13a42574c2f25fe83b53ff1">SetCurrentPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d9/db9/classbool.html">bool</a> updateCached=true)</td></tr>
<tr class="memdesc:aa661ca91c13a42574c2f25fe83b53ff1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the current world position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#aa661ca91c13a42574c2f25fe83b53ff1">More...</a><br /></td></tr>
<tr class="separator:aa661ca91c13a42574c2f25fe83b53ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2b57f0ea0452afcf8836a142054aa18"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ad2b57f0ea0452afcf8836a142054aa18">GetCurrentPosition</a> ()</td></tr>
<tr class="memdesc:ad2b57f0ea0452afcf8836a142054aa18"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current world position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#ad2b57f0ea0452afcf8836a142054aa18">More...</a><br /></td></tr>
<tr class="separator:ad2b57f0ea0452afcf8836a142054aa18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0f9cb71039b988e59a8c35e958addbb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#af0f9cb71039b988e59a8c35e958addbb">SetCurrentLocalPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d9/db9/classbool.html">bool</a> updateCached=true)</td></tr>
<tr class="memdesc:af0f9cb71039b988e59a8c35e958addbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the current local position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#af0f9cb71039b988e59a8c35e958addbb">More...</a><br /></td></tr>
<tr class="separator:af0f9cb71039b988e59a8c35e958addbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4b89b2ae769475a1caffc4ad057a365"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ae4b89b2ae769475a1caffc4ad057a365">GetCurrentLocalPosition</a> ()</td></tr>
<tr class="memdesc:ae4b89b2ae769475a1caffc4ad057a365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current local position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#ae4b89b2ae769475a1caffc4ad057a365">More...</a><br /></td></tr>
<tr class="separator:ae4b89b2ae769475a1caffc4ad057a365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add636c801295734240e722dc7f59bd7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#add636c801295734240e722dc7f59bd7f">SetOrientation</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> ori)</td></tr>
<tr class="memdesc:add636c801295734240e722dc7f59bd7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set orientation of the <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a>.  <a href="../../de/d27/class_effect_particle.html#add636c801295734240e722dc7f59bd7f">More...</a><br /></td></tr>
<tr class="separator:add636c801295734240e722dc7f59bd7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1444938f2f7e143f6a95aea883358f28"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a1444938f2f7e143f6a95aea883358f28">GetOrientation</a> ()</td></tr>
<tr class="memdesc:a1444938f2f7e143f6a95aea883358f28"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the orientation of the <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a>.  <a href="../../de/d27/class_effect_particle.html#a1444938f2f7e143f6a95aea883358f28">More...</a><br /></td></tr>
<tr class="separator:a1444938f2f7e143f6a95aea883358f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a737acd32977053d5045df47b254efd55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a737acd32977053d5045df47b254efd55">SetCurrentOrientation</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> ori, <a class="el" href="../../d9/db9/classbool.html">bool</a> updateCached=true)</td></tr>
<tr class="memdesc:a737acd32977053d5045df47b254efd55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the current orientation of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#a737acd32977053d5045df47b254efd55">More...</a><br /></td></tr>
<tr class="separator:a737acd32977053d5045df47b254efd55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b509efce943c5c399db4b19985cacab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a8b509efce943c5c399db4b19985cacab">GetCurrentOrientation</a> ()</td></tr>
<tr class="memdesc:a8b509efce943c5c399db4b19985cacab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current orientation of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#a8b509efce943c5c399db4b19985cacab">More...</a><br /></td></tr>
<tr class="separator:a8b509efce943c5c399db4b19985cacab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abebf9e1de6e9707c71ccb4b4f8dd6ed8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#abebf9e1de6e9707c71ccb4b4f8dd6ed8">ForceParticleRotationRelativeToWorld</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="memdesc:abebf9e1de6e9707c71ccb4b4f8dd6ed8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set orientation setting to be used by the effect when the Effect starts.  <a href="../../de/d27/class_effect_particle.html#abebf9e1de6e9707c71ccb4b4f8dd6ed8">More...</a><br /></td></tr>
<tr class="separator:abebf9e1de6e9707c71ccb4b4f8dd6ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a957a5b43fe1605a8b459a49a0a691f02"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a957a5b43fe1605a8b459a49a0a691f02">IsParticleRotationRelativeToWorld</a> ()</td></tr>
<tr class="memdesc:a957a5b43fe1605a8b459a49a0a691f02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the orientation setting to be used by the effect when the Effect starts.  <a href="../../de/d27/class_effect_particle.html#a957a5b43fe1605a8b459a49a0a691f02">More...</a><br /></td></tr>
<tr class="separator:a957a5b43fe1605a8b459a49a0a691f02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5ec05166c7422d19497fe20411c1e56"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ac5ec05166c7422d19497fe20411c1e56">IsParticleCurrentRotationRelativeToWorld</a> ()</td></tr>
<tr class="memdesc:ac5ec05166c7422d19497fe20411c1e56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current orientation setting to be used by the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>.  <a href="../../de/d27/class_effect_particle.html#ac5ec05166c7422d19497fe20411c1e56">More...</a><br /></td></tr>
<tr class="separator:ac5ec05166c7422d19497fe20411c1e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aadc4d5a4b634e81d6e23e42235d9d513"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#aadc4d5a4b634e81d6e23e42235d9d513">m_ParticleObj</a></td></tr>
<tr class="memdesc:aadc4d5a4b634e81d6e23e42235d9d513"><td class="mdescLeft">&#160;</td><td class="mdescRight">The main <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> effect that this Effect wrapper manages.  <a href="../../de/d27/class_effect_particle.html#aadc4d5a4b634e81d6e23e42235d9d513">More...</a><br /></td></tr>
<tr class="separator:aadc4d5a4b634e81d6e23e42235d9d513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Generic data</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p >Generic data for the particle </p>
</div></td></tr>
<tr class="memitem:aa970c8f6680159f4c53982c1bf4ba158"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#aa970c8f6680159f4c53982c1bf4ba158">m_ParticleID</a></td></tr>
<tr class="memdesc:aa970c8f6680159f4c53982c1bf4ba158"><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID in the <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> to create <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> from.  <a href="../../de/d27/class_effect_particle.html#aa970c8f6680159f4c53982c1bf4ba158">More...</a><br /></td></tr>
<tr class="separator:aa970c8f6680159f4c53982c1bf4ba158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ca450006b107c454a7980903d396b47"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a0ca450006b107c454a7980903d396b47">m_Orientation</a></td></tr>
<tr class="memdesc:a0ca450006b107c454a7980903d396b47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Orientation set by SetOrientation.  <a href="../../de/d27/class_effect_particle.html#a0ca450006b107c454a7980903d396b47">More...</a><br /></td></tr>
<tr class="separator:a0ca450006b107c454a7980903d396b47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a3b440e6415b0dd2d3e17008caff26c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a0a3b440e6415b0dd2d3e17008caff26c">m_ForceRotationRelativeToWorld</a></td></tr>
<tr class="memdesc:a0a3b440e6415b0dd2d3e17008caff26c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Orientation setting to be used by the effect when the Effect starts.  <a href="../../de/d27/class_effect_particle.html#a0a3b440e6415b0dd2d3e17008caff26c">More...</a><br /></td></tr>
<tr class="separator:a0a3b440e6415b0dd2d3e17008caff26c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">DEPRECATED</h2></td></tr>
<tr><td class="ititle" colspan="2"><p >Methods which exist for backwards compatibility and are no longer in use or have never been in use </p>
</td></tr>
<tr class="memitem:a47e74817dde2235b36522170d382c199"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a47e74817dde2235b36522170d382c199">m_ParticleOrientation</a></td></tr>
<tr class="separator:a47e74817dde2235b36522170d382c199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a53b8ccfd0d5a10550d3aa1f4a3d8d3"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a2a53b8ccfd0d5a10550d3aa1f4a3d8d3">m_Object</a></td></tr>
<tr class="separator:a2a53b8ccfd0d5a10550d3aa1f4a3d8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e5f208360d31424e59b1ae0c9e7c8d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a6e5f208360d31424e59b1ae0c9e7c8d2">EffectParticle</a> ()</td></tr>
<tr class="memdesc:a6e5f208360d31424e59b1ae0c9e7c8d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">ctor  <a href="../../de/d27/class_effect_particle.html#a6e5f208360d31424e59b1ae0c9e7c8d2">More...</a><br /></td></tr>
<tr class="separator:a6e5f208360d31424e59b1ae0c9e7c8d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d20096caea40af87f240060e7869c8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a3d20096caea40af87f240060e7869c8b">~EffectParticle</a> ()</td></tr>
<tr class="memdesc:a3d20096caea40af87f240060e7869c8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">dtor  <a href="../../de/d27/class_effect_particle.html#a3d20096caea40af87f240060e7869c8b">More...</a><br /></td></tr>
<tr class="separator:a3d20096caea40af87f240060e7869c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ab5ed66bf09c9a9044d332da325c6d1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a8ab5ed66bf09c9a9044d332da325c6d1">InitEffect</a> ()</td></tr>
<tr class="memdesc:a8ab5ed66bf09c9a9044d332da325c6d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">init  <a href="../../de/d27/class_effect_particle.html#a8ab5ed66bf09c9a9044d332da325c6d1">More...</a><br /></td></tr>
<tr class="separator:a8ab5ed66bf09c9a9044d332da325c6d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018998343bf0c45b977b436b2674d982"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a018998343bf0c45b977b436b2674d982">GetDebugName</a> ()</td></tr>
<tr class="memdesc:a018998343bf0c45b977b436b2674d982"><td class="mdescLeft">&#160;</td><td class="mdescRight">Override when getting debug information.  <a href="../../de/d27/class_effect_particle.html#a018998343bf0c45b977b436b2674d982">More...</a><br /></td></tr>
<tr class="separator:a018998343bf0c45b977b436b2674d982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab085e28b2cd84dabbdd02ae6b1d1c7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#a5ab085e28b2cd84dabbdd02ae6b1d1c7">ValidateStart</a> ()</td></tr>
<tr class="memdesc:a5ab085e28b2cd84dabbdd02ae6b1d1c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Validation whether an effect truly started playing or if the Effect should stop as none is present.  <a href="../../de/d27/class_effect_particle.html#a5ab085e28b2cd84dabbdd02ae6b1d1c7">More...</a><br /></td></tr>
<tr class="separator:a5ab085e28b2cd84dabbdd02ae6b1d1c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afeee694f7530558cb6f3fc331fbd2d44"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#afeee694f7530558cb6f3fc331fbd2d44">CheckLifeSpan</a> ()</td></tr>
<tr class="memdesc:afeee694f7530558cb6f3fc331fbd2d44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Was never called and probably should never be called.  <a href="../../de/d27/class_effect_particle.html#afeee694f7530558cb6f3fc331fbd2d44">More...</a><br /></td></tr>
<tr class="separator:afeee694f7530558cb6f3fc331fbd2d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab037ea0efe6702af544c239cc9f5dc30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d27/class_effect_particle.html#ab037ea0efe6702af544c239cc9f5dc30">SetDecalOwner</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> o)</td></tr>
<tr class="separator:ab037ea0efe6702af544c239cc9f5dc30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Wrapper class for managing particles through <a class="el" href="../../d2/d03/class_s_effect_manager.html" title="Manager class for managing Effect (EffectParticle, EffectSound)">SEffectManager</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6e5f208360d31424e59b1ae0c9e7c8d2" name="a6e5f208360d31424e59b1ae0c9e7c8d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e5f208360d31424e59b1ae0c9e7c8d2">&#9670;&#160;</a></span>EffectParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::EffectParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ctor </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00034">34</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a3d20096caea40af87f240060e7869c8b" name="a3d20096caea40af87f240060e7869c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d20096caea40af87f240060e7869c8b">&#9670;&#160;</a></span>~EffectParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::~EffectParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>dtor </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00042">42</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aab5a539b217aa9270f8df8130cd31c8a" name="aab5a539b217aa9270f8df8130cd31c8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab5a539b217aa9270f8df8130cd31c8a">&#9670;&#160;</a></span>AddAsChild()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void EffectParticle::AddAsChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_ori</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>force_rotation_to_world</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Helper method to attach to parent. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00251">251</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="abfb70b5928d1e17a211311b8535e9b91" name="abfb70b5928d1e17a211311b8535e9b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfb70b5928d1e17a211311b8535e9b91">&#9670;&#160;</a></span>AttachTo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::AttachTo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_pos</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>local_ori</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>force_rotation_to_world</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Read <a class="el" href="../../de/d85/class_particle.html#a6b16971271ed6c9f81257bc3a4658231" title="Attaches this particle onto some object. If null value is provided then the particle will be detached...">Particle.AddAsChild</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00227">227</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="afeee694f7530558cb6f3fc331fbd2d44" name="afeee694f7530558cb6f3fc331fbd2d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeee694f7530558cb6f3fc331fbd2d44">&#9670;&#160;</a></span>CheckLifeSpan()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::CheckLifeSpan </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Was never called and probably should never be called. </p>
<dl class="section warning"><dt>Warning</dt><dd>Emptied the functionality as it is relatively unsafe... </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00550">550</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ab12fbae0336d5716e429b652c7a9365e" name="ab12fbae0336d5716e429b652c7a9365e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab12fbae0336d5716e429b652c7a9365e">&#9670;&#160;</a></span>Event_OnPlayStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::Event_OnPlayStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event which just simply exists (DEPRECATED) </p>
<dl class="section warning"><dt>Warning</dt><dd>Never called or used </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Use Event_OnStarted instead </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00274">274</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a42eaa56854459dec9120bc9a5d6300f4" name="a42eaa56854459dec9120bc9a5d6300f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42eaa56854459dec9120bc9a5d6300f4">&#9670;&#160;</a></span>Event_OnPlayStarted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::Event_OnPlayStarted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event which just simply exists (DEPRECATED) </p>
<dl class="section warning"><dt>Warning</dt><dd>Never called or used </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Use Event_OnStarted instead </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00284">284</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="abebf9e1de6e9707c71ccb4b4f8dd6ed8" name="abebf9e1de6e9707c71ccb4b4f8dd6ed8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abebf9e1de6e9707c71ccb4b4f8dd6ed8">&#9670;&#160;</a></span>ForceParticleRotationRelativeToWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::ForceParticleRotationRelativeToWorld </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set orientation setting to be used by the effect when the Effect starts. </p>
<dl class="section warning"><dt>Warning</dt><dd>Only caches it into a variable to be used by Start, does not live update when called afterwards </dd></dl>
<dl class="section note"><dt>Note</dt><dd>There is no way to update this immediately </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td><code>bool</code> Whether to keep WS orientation when attaching it to parent </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00503">503</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ae4b89b2ae769475a1caffc4ad057a365" name="ae4b89b2ae769475a1caffc4ad057a365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4b89b2ae769475a1caffc4ad057a365">&#9670;&#160;</a></span>GetCurrentLocalPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::GetCurrentLocalPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current local position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The current local position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00431">431</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a8b509efce943c5c399db4b19985cacab" name="a8b509efce943c5c399db4b19985cacab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b509efce943c5c399db4b19985cacab">&#9670;&#160;</a></span>GetCurrentOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::GetCurrentOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current orientation of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The current orientation of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00487">487</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="aa0b94c8076c58c504291ded70d27c0bb" name="aa0b94c8076c58c504291ded70d27c0bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0b94c8076c58c504291ded70d27c0bb">&#9670;&#160;</a></span>GetCurrentParent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d8/d83/class_object.html">Object</a> EffectParticle::GetCurrentParent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current parent of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code><a class="el" href="../../d8/d83/class_object.html">Object</a></code> The currrent parent of the <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00367">367</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a0d8b8ff8498beac1f3171afd687cf3a1" name="a0d8b8ff8498beac1f3171afd687cf3a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d8b8ff8498beac1f3171afd687cf3a1">&#9670;&#160;</a></span>GetCurrentParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectParticle::GetCurrentParticleID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the current id of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> ID registered in <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00338">338</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ad2b57f0ea0452afcf8836a142054aa18" name="ad2b57f0ea0452afcf8836a142054aa18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2b57f0ea0452afcf8836a142054aa18">&#9670;&#160;</a></span>GetCurrentPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::GetCurrentPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current world position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The current world position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00396">396</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a018998343bf0c45b977b436b2674d982" name="a018998343bf0c45b977b436b2674d982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018998343bf0c45b977b436b2674d982">&#9670;&#160;</a></span>GetDebugName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> EffectParticle::GetDebugName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Override when getting debug information. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00067">67</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="abede75d33b1898d820d803ceef8bf3e9" name="abede75d33b1898d820d803ceef8bf3e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abede75d33b1898d820d803ceef8bf3e9">&#9670;&#160;</a></span>GetEffectType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/d2d/_effect_8c.html#a4809a7bb3fd1a421902a667cc1405d43">EffectType</a> EffectParticle::GetEffectType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get what type of effect the Effect is. </p>
<dl class="section return"><dt>Returns</dt><dd><code>EffectType</code> What type of effect the Effect is </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00107">107</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a1444938f2f7e143f6a95aea883358f28" name="a1444938f2f7e143f6a95aea883358f28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1444938f2f7e143f6a95aea883358f28">&#9670;&#160;</a></span>GetOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::GetOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the orientation of the <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a>. </p>
<dl class="section warning"><dt>Warning</dt><dd>Only gets the cached variable, for immediate effect use GetCurrent variant </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The orientation of <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00463">463</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a04d219bb00f70fc4d2fdf208cb41c422" name="a04d219bb00f70fc4d2fdf208cb41c422"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d219bb00f70fc4d2fdf208cb41c422">&#9670;&#160;</a></span>GetParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d85/class_particle.html">Particle</a> EffectParticle::GetParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the main particle which this Effect is managing. </p>
<dl class="section return"><dt>Returns</dt><dd><code><a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a></code> Main particle which this Effect is managing </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00162">162</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a7a6b993c073b83038577812cefae4a9f" name="a7a6b993c073b83038577812cefae4a9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a6b993c073b83038577812cefae4a9f">&#9670;&#160;</a></span>GetParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectParticle::GetParticleID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the id of the particle to be used. </p>
<dl class="section warning"><dt>Warning</dt><dd>Only gets the cached variable, for immediate effect use GetCurrent variant </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> ID registered in <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00313">313</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a8ab5ed66bf09c9a9044d332da325c6d1" name="a8ab5ed66bf09c9a9044d332da325c6d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab5ed66bf09c9a9044d332da325c6d1">&#9670;&#160;</a></span>InitEffect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::InitEffect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>init </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00050">50</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ab6c1ee658ebe7939e1b0bbe0a544352f" name="ab6c1ee658ebe7939e1b0bbe0a544352f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6c1ee658ebe7939e1b0bbe0a544352f">&#9670;&#160;</a></span>IsParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> EffectParticle::IsParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Check whether the Effect is <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a> without casting. </p>
<dl class="section return"><dt>Returns</dt><dd><code>bool</code> Whether the Effect is <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00116">116</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ac5ec05166c7422d19497fe20411c1e56" name="ac5ec05166c7422d19497fe20411c1e56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5ec05166c7422d19497fe20411c1e56">&#9670;&#160;</a></span>IsParticleCurrentRotationRelativeToWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EffectParticle::IsParticleCurrentRotationRelativeToWorld </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current orientation setting to be used by the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="section return"><dt>Returns</dt><dd><code>bool</code> Whether the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> is only updating position from parent </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00527">527</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a957a5b43fe1605a8b459a49a0a691f02" name="a957a5b43fe1605a8b459a49a0a691f02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a957a5b43fe1605a8b459a49a0a691f02">&#9670;&#160;</a></span>IsParticleRotationRelativeToWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EffectParticle::IsParticleRotationRelativeToWorld </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the orientation setting to be used by the effect when the Effect starts. </p>
<dl class="section warning"><dt>Warning</dt><dd>Only gets the cached variable, for immediate effect use IsParticleCurrentRotationRelativeToWorld </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>bool</code> Whether to keep WS orientation when attaching it to parent </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00513">513</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a9f2362e95513ffde8bec50edccc37155" name="a9f2362e95513ffde8bec50edccc37155"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f2362e95513ffde8bec50edccc37155">&#9670;&#160;</a></span>ReAttach()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::ReAttach </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Helper method to attach to parent using stored settings. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00242">242</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="af0f9cb71039b988e59a8c35e958addbb" name="af0f9cb71039b988e59a8c35e958addbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0f9cb71039b988e59a8c35e958addbb">&#9670;&#160;</a></span>SetCurrentLocalPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::SetCurrentLocalPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>updateCached</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the current local position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pos</td><td><code>vector</code> The current local position for the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </td></tr>
    <tr><td class="paramname">updateCached</td><td><code>bool</code> Whether to update the cached variable </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00411">411</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a737acd32977053d5045df47b254efd55" name="a737acd32977053d5045df47b254efd55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a737acd32977053d5045df47b254efd55">&#9670;&#160;</a></span>SetCurrentOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetCurrentOrientation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>ori</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>updateCached</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the current orientation of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ori</td><td><code>vector</code> Orientation in degrees (yaw, pitch, roll) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00472">472</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="abbf0eb04e9c5a568dc89d60849a01ed2" name="abbf0eb04e9c5a568dc89d60849a01ed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbf0eb04e9c5a568dc89d60849a01ed2">&#9670;&#160;</a></span>SetCurrentParent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::SetCurrentParent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>parent_obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>updateCached</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set current parent of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent_obj</td><td><code><a class="el" href="../../d8/d83/class_object.html">Object</a></code> The parent for the <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </td></tr>
    <tr><td class="paramname">updateCached</td><td><code>bool</code> Whether to update the cached variable </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00356">356</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="af42f4ede379eb7dc4b4e7a3c97b8c54a" name="af42f4ede379eb7dc4b4e7a3c97b8c54a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af42f4ede379eb7dc4b4e7a3c97b8c54a">&#9670;&#160;</a></span>SetCurrentParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetCurrentParticleID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the id of the particle to be used. </p>
<dl class="section note"><dt>Note</dt><dd><a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> will not update immediately, but <a class="el" href="../../de/d38/class_particle_source.html" title="Entity which has the particle instance as an ObjectComponent.">ParticleSource</a> will </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td><code>int</code> <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> ID registered in <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00323">323</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="aa661ca91c13a42574c2f25fe83b53ff1" name="aa661ca91c13a42574c2f25fe83b53ff1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa661ca91c13a42574c2f25fe83b53ff1">&#9670;&#160;</a></span>SetCurrentPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::SetCurrentPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>updateCached</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the current world position of the managed <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pos</td><td><code>vector</code> The current world position for the <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> </td></tr>
    <tr><td class="paramname">updateCached</td><td><code>bool</code> Whether to update the cached variable </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00382">382</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="ab037ea0efe6702af544c239cc9f5dc30" name="ab037ea0efe6702af544c239cc9f5dc30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab037ea0efe6702af544c239cc9f5dc30">&#9670;&#160;</a></span>SetDecalOwner()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetDecalOwner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00562">562</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="add636c801295734240e722dc7f59bd7f" name="add636c801295734240e722dc7f59bd7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add636c801295734240e722dc7f59bd7f">&#9670;&#160;</a></span>SetOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetOrientation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>ori</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set orientation of the <a class="el" href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager.">EffectParticle</a>. </p>
<dl class="section warning"><dt>Warning</dt><dd>Only sets the cached variable, for immediate effect use SetCurrent variant </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ori</td><td><code>vector</code> Orientation in degrees (yaw, pitch, roll) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00453">453</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a40400277d6a378d4397a867884a7932a" name="a40400277d6a378d4397a867884a7932a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40400277d6a378d4397a867884a7932a">&#9670;&#160;</a></span>SetParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the main particle which this Effect will manage. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td><code><a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a></code> Main particle which this Effect will manage </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00134">134</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a3ffb48e5e6133e3736d4d3d8ca3c30c4" name="a3ffb48e5e6133e3736d4d3d8ca3c30c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ffb48e5e6133e3736d4d3d8ca3c30c4">&#9670;&#160;</a></span>SetParticleID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectParticle::SetParticleID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the id of the particle to be used. </p>
<dl class="section note"><dt>Note</dt><dd>Only changes the cached variable, for immediate, use SetCurrentParticleID </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td><code>int</code> <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> ID registered in <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00303">303</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a1d04a1e86d29c71dc7cf7768aa217183" name="a1d04a1e86d29c71dc7cf7768aa217183"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d04a1e86d29c71dc7cf7768aa217183">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Plays all elements this effect consists of. </p>
<dl class="section note"><dt>Note</dt><dd>Is called by SEffectManager.Play methods </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00181">181</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a03b8e139f87931f95fd84bb344fef87a" name="a03b8e139f87931f95fd84bb344fef87a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b8e139f87931f95fd84bb344fef87a">&#9670;&#160;</a></span>Stop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Stops all elements this effect consists of. </p>
<dl class="section note"><dt>Note</dt><dd>Alternatively use SEffectManager.Stop( effect_id ) </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00204">204</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a5ab085e28b2cd84dabbdd02ae6b1d1c7" name="a5ab085e28b2cd84dabbdd02ae6b1d1c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ab085e28b2cd84dabbdd02ae6b1d1c7">&#9670;&#160;</a></span>ValidateStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectParticle::ValidateStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Validation whether an effect truly started playing or if the Effect should stop as none is present. </p>
<dl class="section note"><dt>Note</dt><dd>Override this when inheriting to create own validation check </dd>
<dd>
Is called from Event_OnStarted invoker after Event_OnStarted has been performed </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00087">87</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0a3b440e6415b0dd2d3e17008caff26c" name="a0a3b440e6415b0dd2d3e17008caff26c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a3b440e6415b0dd2d3e17008caff26c">&#9670;&#160;</a></span>m_ForceRotationRelativeToWorld</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> EffectParticle::m_ForceRotationRelativeToWorld</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Orientation setting to be used by the effect when the Effect starts. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00018">18</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a2a53b8ccfd0d5a10550d3aa1f4a3d8d3" name="a2a53b8ccfd0d5a10550d3aa1f4a3d8d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a53b8ccfd0d5a10550d3aa1f4a3d8d3">&#9670;&#160;</a></span>m_Object</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d8/d83/class_object.html">Object</a> EffectParticle::m_Object</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00026">26</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a0ca450006b107c454a7980903d396b47" name="a0ca450006b107c454a7980903d396b47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ca450006b107c454a7980903d396b47">&#9670;&#160;</a></span>m_Orientation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::m_Orientation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Orientation set by SetOrientation. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00016">16</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="aa970c8f6680159f4c53982c1bf4ba158" name="aa970c8f6680159f4c53982c1bf4ba158"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa970c8f6680159f4c53982c1bf4ba158">&#9670;&#160;</a></span>m_ParticleID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectParticle::m_ParticleID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The ID in the <a class="el" href="../../dd/dd2/class_particle_list.html">ParticleList</a> to create <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> from. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="aadc4d5a4b634e81d6e23e42235d9d513" name="aadc4d5a4b634e81d6e23e42235d9d513"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadc4d5a4b634e81d6e23e42235d9d513">&#9670;&#160;</a></span>m_ParticleObj</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> EffectParticle::m_ParticleObj</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The main <a class="el" href="../../de/d85/class_particle.html" title="Legacy way of using particles in the game.">Particle</a> effect that this Effect wrapper manages. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<a id="a47e74817dde2235b36522170d382c199" name="a47e74817dde2235b36522170d382c199"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47e74817dde2235b36522170d382c199">&#9670;&#160;</a></span>m_ParticleOrientation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> EffectParticle::m_ParticleOrientation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/def/_effect_particle_8c_source.html#l00025">25</a> of file <a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Effects/<a class="el" href="../../d2/def/_effect_particle_8c_source.html">EffectParticle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d27/class_effect_particle.html">EffectParticle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
